Update ResultSchema
Update ResultSchema.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
result_schema_id
ID of the ResultSchema.
Headers
EARLY-ACCESS
Set to true to access beta operations via /api/v3.
Request
This endpoint expects an object.
archiveReason
archived
name
Updated user-facing name. When provided, must be non-empty after stripping whitespace, at most 255 characters, and unique within the organization.
systemName
Updated SQL identifier for the warehouse table name. When provided, must match the pattern [a-z_][a-z0-9_$]*, cannot be a reserved table name, cannot start with ‘bnch$’, and must be unique within the organization.
Response
OK
__typename
archiveReason
archived
createdAt
fieldDefinitions
Defines the metadata fields for results belonging to this schema
id
modifiedAt
DateTime the Result Schema was last modified
name
organization
The organization that owns the schema
systemName
The unique, machine-readable identifier for warehouse and API access.
Errors
400
Result Schema Update Request Bad Request Error
403
Result Schema Update Request Forbidden Error
404
Result Schema Update Request Not Found Error
409
Result Schema Update Request Conflict Error
429
Result Schema Update Request Too Many Requests Error
500
Result Schema Update Request Internal Server Error